curl --request POST \
--url https://platform.spritz.finance/v1/users/me/verification-sessions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/users/me/verification-sessions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/users/me/verification-sessions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "inq_2Q3x7k9m1n",
"provider": "persona",
"sessionToken": "<string>",
"verificationUrl": "https://withpersona.com/verify?inquiry-id=inq_2Q3x7k9m1n",
"verificationUrlExpiresAt": "2023-11-07T05:31:56Z"
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Create or refresh an enhanced verification session
Creates or resumes the authenticated user’s interactive enhanced identity verification session. Verification URLs and provider tokens are retrieved just in time because they may expire or need to be regenerated.
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Response
Interactive enhanced verification session details retrieved just in time for the authenticated user.
Interactive enhanced verification session details retrieved just in time for the authenticated user.
Provider-issued identifier for the current verification session.
"inq_2Q3x7k9m1n"
persona, plaid Provider-issued token for an embedded flow: a Persona session token when provider is persona, or a Plaid Link token when provider is plaid. Null when the provider supplies only a hosted URL or no usable flow.
Provider-hosted URL to start or continue verification. It is the hosted fallback for either provider and must not be constructed by the client. Null when only an embedded token is available or no usable flow was returned.
"https://withpersona.com/verify?inquiry-id=inq_2Q3x7k9m1n"
Expiration time for verificationUrl when the provider returns an expiring link.